## white dune-0.26pl5

=== Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

dune:
	cd src && make

configure: configure.in
	autoconf

clean:
	rm -f config.cache config.log config.status confdefs.h nohup.out
	rm -rf autom4te.cache
	rm -f test/dune_selftest
	cd src && make clean
	find . -name snap.rgb -type f -print | xargs rm -f
	find . -name core -type f -print | xargs rm -f
	find . -name dune.core -type f -print | xargs rm -f

realclean: clean
	rm -f bin/dune bin/dune4kids
	cd src && make realclean
	cd docs/developer_docs && make realclean 
	cd test && make realclean
	find . -name 'Makefile.bak' -print | xargs rm -f
	find . -name '.dune_preview_*.wrl' -print | xargs rm -f
	find . -name '.dune_textedit_*' -print | xargs rm -f
	find . -name '.dune_ecmascript_*' -print | xargs rm -f
	find . -name '.gdb_history' -print | xargs rm -f
	find . -name '.xvpics' -print | xargs rm -rf

documentation:
	cd docs/developer_docs && make 

selftest:
	cd test && make 

# DO NOT DELETE
