=== src/Makefile ===
# This Makefile is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

CC = gcc
CXX = g++
CXXCPP = g++ -E
YACC = bison -y
LEX = flex
AWK = gawk

# WARNINGS = -Wall -Wwrite-strings
# WARNINGS = -woff 3303
# LFLAGS = -woff 1167 -woff 1110 -woff 3322
CFLAGS = -g $(WARNINGS) -I. -Iswt/include  -I/usr/local/include -I/usr/freeware/include 
CXXFLAGS = $(CFLAGS)
LIBS =  -Lswt/lib -lswt -LSDLjoystick  -lILU -lIL -lz -lglut -lGLU -lGL -lXi -lXm -lXext -lXt -lXmu -lX11 -lm -ldl  -L/usr/local/lib32 -L/usr/freeware/lib32 -L/usr/lib32 
NEBULA = 

.SUFFIXES: .cpp

.cpp.o:
	$(CXX) $(CXXFLAGS) -c $<

CLASSES = \
	AboutDialog.o \
	Box2NurbsDialog.o \
	CommandList.o \
	ElevationGridDialog.o \
	EventIn.o \
	EventOut.o \
	ExposedField.o \
	Field.o \
	FieldCommand.o \
	MFieldCommand.o \
	Face.o \
	FieldValue.o \
	Image.o \
	Interpolator.o \
	Matrix.o \
	MoveCommand.o \
	Scene.o \
	Node.o \
	Path.o \
	Proto.o \
	RouteCommand.o \
	SFBool.o \
	SFColor.o \
	SFFloat.o \
	SFImage.o \
	SFInt32.o \
	SFNode.o \
	SFRotation.o \
	SFString.o \
	SFTime.o \
	SFVec2f.o \
	SFVec3f.o \
	MyString.o \
	UnRouteCommand.o \
	Mesh.o \
	MFColor.o \
	MFInt32.o \
	MFFloat.o \
	MFNode.o \
	MFRotation.o \
	MFString.o \
	MFTime.o \
	MFVec2f.o \
	MFVec3f.o \
	NodeAnchor.o \
	NodeAppearance.o \
	NodeAudioClip.o \
	NodeBackground.o \
	NodeBillboard.o \
	NodeBox.o \
	NodeCollision.o \
	NodeColor.o \
	NodeColorInterpolator.o \
	NodeCone.o \
	NodeCoordinate.o \
	NodeCoordinateInterpolator.o \
	NodeCylinder.o \
	NodeCylinderSensor.o \
	NodeDirectionalLight.o \
	NodeElevationGrid.o \
	NodeExtrusion.o \
	NodeFog.o \
	NodeFontStyle.o \
	NodeGroup.o \
	NodeImageTexture.o \
	NodeIndexedFaceSet.o \
	NodeIndexedLineSet.o \
	NodeInline.o \
	NodeList.o \
	NodeLOD.o \
	NodeMaterial.o \
	NodeMovieTexture.o \
	NodeNavigationInfo.o \
	NodeNormal.o \
	NodeNormalInterpolator.o \
	NodeNurbsCurve.o \
	NodeNurbsGroup.o \
	NodeNurbsSurface.o \
	NodeOrientationInterpolator.o \
	NodePixelTexture.o \
	NodePlaneSensor.o \
	NodePointLight.o \
	NodePointSet.o \
	NodePositionInterpolator.o \
	NodeProximitySensor.o \
	NodeScalarInterpolator.o \
	NodeScript.o \
	NodeShape.o \
	NodeSound.o \
	NodeSphere.o \
	NodeSphereSensor.o \
	NodeSpotLight.o \
	NodeSwitch.o \
	NodeText.o \
	NodeTextureCoordinate.o \
	NodeTextureTransform.o \
	NodeTimeSensor.o \
	NodeTouchSensor.o \
	NodeTransform.o \
	NodeViewpoint.o \
	NodeVisibilitySensor.o \
	NodeWorldInfo.o \
	NurbsCurveDialog.o \
	NurbsPlaneDialog.o \
	SelectionCommand.o \
	Quaternion.o \
	RenderState.o \
	SceneTreeView.o \
	SceneGraphView.o \
	Scene3DView.o \
	SceneView.o \
	Dialog.o \
	PreferencesDialog.o \
	EcmaScriptSettingsDialog.o \
	PreviewSettingsDialog.o \
	HelpSettingsDialog.o \
	TexteditSettingsDialog.o \
	StereoViewSettingsDialog.o \
	DuneApp.o \
	FieldView.o \
	FieldViewItem.o \
	Util.o \
	URL.o \
	PanedWindow.o \
	StatusBar.o \
	ChannelView.o \
	ToolbarWindow.o \
	EulerAngles.o \
        xerrorhandler.o \
        x3dtranslators.o \
        InputDevice.o \
        TransformMode.o \
        ColorCircle.o \
        Aflock.o \
        ScriptDialog.o \
        ScriptEdit.o \
        Types.o \
        InputDeviceCommandline.o \
        PreferencesApp.o \
        StereoViewApp.o \
        InputDeviceApp.o \
        DefDialog.o \
	Cone2NurbsDialog.o \
	Cylinder2NurbsDialog.o \
	Sphere2NurbsDialog.o \
	NurbsArc.o\
	NurbsCurveDegreeElevate.o \
	NurbsMakeRevolvedSurface.o \
        NurbsCurve2NurbsSurfDialog.o \
	parser.o \
	lexer.o $(NEBULA)


OBJS1 = \
	gif.o \
	jpegLoad.o \
	pngLoad.o \
        mysnprintf.o



OBJS =  $(CLASSES) $(OBJS1) 

OBJSDUNE = resource.o MainWindow.o AnimationDialog.o

OBJSDUNE4KIDS = resource4kids.o MainWindow4kids.o AnimationDialog4kids.o

OBJSALL =  $(OBJS) $(OBJSDUNE) $(OBJSDUNE4KIDS)
                   

SRCS2  = $(OBJS1:.o=.c)
SRCS1 = $(CLASSES:.o=.cpp) resource.c MainWindow.cpp AnimationDialog.cpp \
        main.cpp 

HEADERS = $(CLASSES:.o=.h) \
	List.h \
	Array.h \
	Map.h \
	Stack.h \
	Command.h \
	Vec2f.h \
	Vec3f.h \
	stdafx.h \
	Element.h \
	Point.h \
	Rect.h \
	resource.h

YFLAGS = -d

DISTFILES = $(SRCS1) $(HEADERS) parser.cpp lexer.cpp \
	    gif.h kljcpyrght.h jpegLoad.h jpegLoad.c y.tab.h \
	    parser.y lexer.l parser.h dune.rc StdAfx.cpp \
	    QuatTypes.h FontInfo.h Makefile.in configure.in config.h.in \
	    configure dune.dsp dune.dsw README COPYING TODO

target: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../bin/dune
	$(MAKE) ../bin/dune4kids

nebula/ExportNebula.o: nebula/ExportNebula.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ nebula/ExportNebula.cpp

MainWindow4kids.o: MainWindow.cpp
	$(CXX) $(CXXFLAGS) -DHAVE_SIMPLE_MENU_4_KIDS=1 -c -o $@ MainWindow.cpp

AnimationDialog4kids.o: AnimationDialog.cpp
	$(CXX) $(CXXFLAGS) -DHAVE_SIMPLE_MENU_4_KIDS=1 -c -o $@ AnimationDialog.cpp

../bin/dune: main.o $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) main.o $(OBJSDUNE) $(OBJS) $(LIBS) -o $@
	sh -c "if test `uname` = IRIX64 ; then tag 0x00ff1a00 $@ ; fi"
	sh -c "if test `uname` = IRIX   ; then tag 0x00ff1a00 $@ ; fi"

../bin/dune4kids: main.o $(OBJSDUNE4KIDS) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) main.o $(OBJSDUNE4KIDS) $(OBJS) $(LIBS) -o $@
	sh -c "if test `uname` = IRIX64 ; then tag 0x00ff1a03 $@ ; fi"
	sh -c "if test `uname` = IRIX   ; then tag 0x00ff1a03 $@ ; fi"

selftest: mysnprintf.o 
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_selftest

../test/dune_selftest: ../test/selftest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/selftest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

allNodesTest: mysnprintf.o
	if test "X_" = "X_SDLjoystick/libSDLjoystick.a" ;then cd SDLjoystick;$(MAKE); fi
	cd swt ; $(MAKE)
	$(MAKE) ../test/dune_allNodesTest

../test/dune_allNodesTest: ../test/allNodesTest.cpp $(OBJSDUNE) $(OBJS) swt/lib/libswt.a 
	$(CXX) $(CXXFLAGS) ../test/allNodesTest.cpp $(OBJS) $(LIBS) $(OBJSDUNE) -o $@

lexer.o:	lexer.cpp
	$(CXX) $(CXXFLAGS) $(LFLAGS) -c lexer.cpp

lexer.cpp:	lexer.l
	echo '#ifndef WIN32' > lexer.cpp
	echo '#include "unistd.h"' >> lexer.cpp
	echo '#endif' >> lexer.cpp
	$(LEX) -t lexer.l | grep -v unistd.h >> lexer.cpp

parser.o:	parser.cpp
	$(CXX) $(CXXFLAGS) -c parser.cpp

parser.cpp y.tab.h:	parser.y
	$(YACC) $(YFLAGS) parser.y
	mv y.tab.c parser.cpp

ICONS= res/fullSocketSquare.bmp  res/standard_toolbar.bmp \
       res/emptySocketSquare.bmp res/halftone.bmp         \
       res/node_icons.bmp        res/vcr.bmp

resource.c:	dune.rc swt/rc/rc $(ICONS) resource.h
	sed 's.\\\\./.' < dune.rc > dune1.rc.c
	$(CXXCPP) dune1.rc.c > dune2.rc.c 
	grep -v '//' dune2.rc.c > dune3.rc.c
	if swt/rc/rc < dune3.rc.c > resource.c ; then echo ; else rm  resource.c ; exit 1 ; fi
	rm dune1.rc.c dune2.rc.c dune3.rc.c

resource4kids.c: dune.rc swt/rc/rc $(ICONS) resource.h
	sed 's.\\\\./.' < dune.rc > dune1.rc.c
	$(CXXCPP) -DHAVE_SIMPLE_MENU_4_KIDS=1 dune1.rc.c > dune2.rc.c 
	grep -v '//' dune2.rc.c > dune3.rc.c
	if swt/rc/rc < dune3.rc.c > resource4kids.c ; then echo ; else rm  resource4kids.c ; exit 1 ; fi
	rm dune1.rc.c dune2.rc.c dune3.rc.c

swt/rc/rc: swt/rc/rc.c
	(cd swt/rc && make)

configure: configure.in
	autoconf
     
dname:	$(DISTFILES)
	pwd | sed 's|.*/||' > .dname
	rm -rf `cat .dname`
	mkdir `cat .dname`
	ln $(DISTFILES) `cat .dname`
	cd res ; $(MAKE) dist
	cd swt ; $(MAKE) dist
	tar cf - `cat .dname` | gzip > `cat .dname`.tar.gz
	rm -rf `cat .dname` .dname

clean:
	cd swt ; $(MAKE) clean
	cd SDLjoystick ; $(MAKE) clean
	rm -rf $(OBJSALL) main.o *.bak \
        gmon.out config.cache config.log core iifiles ii_files \
	mysnprintftest joysticktest spaceballtest aflocktest

ntclean: 
	rm -f dune.aps dune.opt dune.ncb  dune.plg dune.dep dune.mak \
              swt/win32/Release/*.obj swt/win32/Debug/*.obj \
              Release/*.obj Debug/*.obj

ntrealclean: ntclean
	 rm -f swt/win32/Release/* swt/win32/Debug/* \
               Release/* Debug/*

realclean: clean ntrealclean
	rm -f swt/lib/*.a swt/lib/*.so* swt/rc/rc */*.obj bison.simple
	rm -rf v2x3d/* x3dv2/*

mysnprintftest: mysnprintf.c
	$(CC) -g -DTEST_SNPRINTF -DHAVE_SNPRINTF=1 -o $@ mysnprintf.c -lm

INPUTTEST_OBJS=EulerAngles.o Quaternion.o Aflock.o

joysticktest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) -DDEBUG=1 $(CXXFLAGS) -g -DTEST_JOYSTICK -DLINUXJOYSTICK=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS)

spaceballtest: InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS)
	$(CXX) $(CXXFLAGS) -g -DTEST_SPACEBALL -DHAVE_LIBSBALL=1 \
             -o $@ InputDevice.cpp mysnprintf.o $(INPUTTEST_OBJS) $(LIBS) -lsball

aflocktest: InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o
	$(CXX) $(CXXFLAGS) -g -DTEST_AFLOCK -DHAVE_AFLOCK=1 \
             -o $@ InputDevice.cpp $(INPUTTEST_OBJS) mysnprintf.o $(LIBS)

clobber:
	cd swt ; $(MAKE) clobber
	rm -f dune

depend:	parser.cpp lexer.cpp
	cp Makefile Makefile.bak
	$(AWK) '{ print } /^# DO NOT DELETE THIS LINE/ { print ""; exit }' < Makefile.bak > Makefile
	if test "$(CXX)" = "c++" ; then \
           mkdep="g++ -MM";\
        else \
           if test "`uname`" = "SunOS" ; then\
              mkdep="$(CXX) -xM1";\
           else\
              mkdep="$(CXX) -M";\
           fi\
        fi;\
        $$mkdep $(CXXFLAGS) $(SRCS1) $(SRCS2) parser.cpp lexer.cpp >> Makefile

debug: ../bin/dune
	rm xerrorhandler.o
	$(CXX) $(CXXFLAGS) -DHAVE_WANT_CORE=1 -c xerrorhandler.cpp
	make ../bin/dune

# DO NOT DELETE THIS LINE -- make depend depends on it.

AboutDialog.o: AboutDialog.cpp stdafx.h config.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/unistd.h \
 /usr/include/standards.h /usr/include/sys/types.h \
 /usr/include/sgidefs.h /usr/include/internal/sgimacros.h \
 /usr/include/sys/pthread.h /usr/include/sys/bsd_types.h \
 /usr/include/sys/select.h /usr/include/string.h \
 /usr/include/internal/string_core.h /usr/include/sys/unistd.h \
 /usr/include/getopt.h /usr/include/sys/uio.h /usr/include/utime.h \
 /usr/include/sys/utime.h /usr/include/re_comp.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/limits.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/syslimits.h \
 /usr/include/GL/gl.h /usr/include/GL/glu.h mysnprintf.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/assert.h \
 AboutDialog.h Dialog.h swt/include/swttypedef.h resource.h \
 swt/include/swt.h swt/include/keycodes.h MyString.h \
 /usr/include/stdio.h /usr/include/internal/stdio_core.h \
 /usr/include/stdlib.h /usr/include/internal/stdlib_core.h \
 /usr/include/internal/locale_attr_core.h newline.h
Box2NurbsDialog.o: Box2NurbsDialog.cpp stdafx.h config.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/unistd.h \
 /usr/include/standards.h /usr/include/sys/types.h \
 /usr/include/sgidefs.h /usr/include/internal/sgimacros.h \
 /usr/include/sys/pthread.h /usr/include/sys/bsd_types.h \
 /usr/include/sys/select.h /usr/include/string.h \
 /usr/include/internal/string_core.h /usr/include/sys/unistd.h \
 /usr/include/getopt.h /usr/include/sys/uio.h /usr/include/utime.h \
 /usr/include/sys/utime.h /usr/include/re_comp.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/limits.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/syslimits.h \
 /usr/include/GL/gl.h /usr/include/GL/glu.h mysnprintf.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/stdarg.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/va-mips.h \
 /usr/freeware/lib/gcc-lib/mips-sgi-irix6.2/2.95.2/include/assert.h \
 Box2NurbsDialog.h Dialog.h swt/include/swttypedef.h Node.h \
 /usr/include/stdio.h /usr/include/internal/stdio_core.h Array.h \
 List.h Vec3f.h /usr/include/math.h /usr/include/svr4_math.h \
