=== test/Makefile ===
all:
	cd ../src && make selftest
	./dune_selftest > allNodesTest.cpp
	sh -c "cd ../src;ls Node*.h | awk '{print \"#include \\\"\" \$$0 \"\\\"\"}' > ../test/AllNodes.h"
	cd ../src && make allNodesTest
	./dune_allNodesTest > allNodesTest.wrl
	./dune_selftest allNodesTest.wrl 2>/dev/null

realclean:
	rm -f dune_selftest *allNodesTest* AllNodes.h
