=== docs/developer_docs/Makefile ===
all: man2html doxygen

doxygen: 
	sh mkdoxygen.sh

man2html:
	if test -x `which man2html` ; then sh man2html.sh | tee ../usage_docs/dune.1.html ; fi

realclean:
	rm -rf doxygen_out_html

jpgdoc:
	rm -rf /tmp/white_dune_docs
	mkdir /tmp/white_dune_docs
	cp -r ../../docs /tmp/white_dune_docs
	sh ./png2jpg.sh developer_docs dune dune_developer.html
	sh ./png2jpg.sh usage_docs windows dune_de.html
	sh ./png2jpg.sh usage_docs colorcircle1 dune_de.html
	sh ./png2jpg.sh usage_docs colorcircle2 dune_de.html
	sh ./png2jpg.sh usage_docs windows dune_en.html
	sh ./png2jpg.sh usage_docs colorcircle1 dune_en.html
	sh ./png2jpg.sh usage_docs colorcircle2 dune_en.html
	sh ./png2jpg.sh usage_docs dune_animation dune_de_exercise.html
	sh ./png2jpg.sh usage_docs dune_interaktion dune_de_exercise.html
	sh ./png2jpg.sh usage_docs dune_animation dune_en_exercise.html
	sh ./png2jpg.sh usage_docs dune_interaktion dune_en_exercise.html

documentation: all
