=== src/res/Makefile ===
DISTFILES = \
	halftone.bmp \
	emptySocketSquare.bmp \
	fullSocketSquare.bmp \
	node_icons.bmp \
	vcr.bmp \
	standard_toolbar.bmp \
	dune.ico \
	Makefile

bogus:
	@echo "nothing to make here, move along"

dname:
	mkdir ../`cat ../.dname`/res
	ln $(DISTFILES) ../`cat ../.dname`/res
