=== packager/debian/control ===
Source: whitedune
Section: graphics
Priority: optional
Maintainer: J. "MUFTI" Scheurich <mufti@csv.ica.uni-stuttgart.de>
Build-Depends: xvfb, xbase-clients, libgl-dev, libmotif-dev, libpng-dev, libjpeg62-dev, glutg3-dev
Standards-Version: 3.5.6.1

Package: whitedune
Architecture: any
Depends: ${shlibs:Depends}
Suggests: vrwave, openvrml-lookat, freewrl, moonlight, admesh, mayavi
Description: Graphical VRML97 editor and animation tool
 The dune program is a graphical VRML97 editor and animation tool.
 VRML97 (Virtual Reality Modelling Language) is the ISO standard for
 displaying 3D data over the web. It has support for animation, realtime
 interaction and multimedia (image, movie, sound). VRML97 can be written
 by popular programs like maya, catia, 3D Studio MAX, cinema4D and others.
 .
 Dune can read VRML97 files, display and let the user change the 
 scenegraph/fields. Dune can load and store x3d (next generation VRML xml
 format) files, if configured to work with the nist.gov x3d translators.
 Advanced features of dune like the usage of 3Drevelator shutterglases with 
 the commercial Linux XIG X11 Server (DX/platium) or the usage of a Labtec
 Spaceball with libsball require recompilation of the source package.
